| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Typedefs
OgreAnimationState.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgreController.h"`
`#include "OgreIteratorWrappers.h"`
`#include "Threading/OgreThreadHeaders.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::AnimationState
| Represents the state of an animation and the weight of its influence. More...
class | Ogre::AnimationStateControllerValue
| ControllerValue wrapper class for AnimationState. More...
class | Ogre::AnimationStateSet
| Class encapsulating a set of AnimationState objects. More...

## Namespaces
| Ogre

## Typedefs
typedef MapIterator< AnimationStateMap > | Ogre::AnimationStateIterator
typedef std::map< String, AnimationState * > | Ogre::AnimationStateMap
typedef ConstMapIterator< AnimationStateMap > | Ogre::ConstAnimationStateIterator
typedef ConstVectorIterator< EnabledAnimationStateList > | Ogre::ConstEnabledAnimationStateIterator
typedef std::list< AnimationState * > | Ogre::EnabledAnimationStateList